package com.platform.yijia.dao;

import com.platform.yijia.pojo.CustomerManage;

import java.util.List;
import java.util.Map;

public interface CustomerGradeMapper {

    //查询直降
    List<Map> getCustomerGradeList(Map map);

    //查询立减满减
    List<Map> getCustomerMarkertPlanList(Map map);

    //获取客户等级信息
    List<Map<String, Object>> getCustomerGradeInfo(Map map);

    //获取客户优惠等级信息
    List<Map<String, Object>> getCustomerGradeInfoByYouHui(Map map);

    //根据手机号和油站ID判断该用户是否已在客户表
    List<CustomerManage> isExistCustomerByStationIdAndPhoneNumber(CustomerManage customerManage);

    //营销 立减
    List<Map> getMarkertPlanListByDiscountPlanType();
}
